Ticket #44190

S3_0 compat mode depends on uninitialized category

Date d'ouverture: 2022-03-26 17:07 Dernière mise à jour: 2022-04-17 00:38

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
1

Détails

S3_0 ruleset.c has this condition for loading extra information:

if (!compat->compat_mode || compat->ver_terrain >= 10 || pextra->category != ECAT_RESOURCE) {

The idea is that resource type extras, that did not exist in 2.6 format, are not loaded here. They have been set up already. The problem is that pextra->category is set on this point *only* if there was such an ECAT_RESOURCE setup already. With bad luck, the category could have value ECAT_RESOURCE even when there's not been that setup, but the value is uninitialized.

As this is 2.6 -> 3.0 compatibility code, no other branches are affected.

Ticket History (3/4 Histories)

2022-03-26 17:07 Updated by: cazfi
  • New Ticket "S3_0 compat mode depends on uninitialized category" created
2022-04-15 12:30 Updated by: cazfi
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Aucun to Accepted
2022-04-17 00:38 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion